package com.test.odbenumbug.control;

import com.test.odbenumbug.entity.Bug;
import javax.annotation.PostConstruct;
import javax.ejb.Schedule;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Singleton
@Startup
public class RobotC {

    @PersistenceContext
    EntityManager em;
    
    @PostConstruct
    private void init() {
	System.out.println("Controller started...");
    }

    @Schedule(hour = "*", minute = "*")
    private void check() {
	int no = em.createNamedQuery("Bug.findByType", Bug.class)
		.setParameter(1, Bug.Type.GOOD)
		.getResultList()
		.size();
	System.out.println(no);
    }

}
